org.eclipse.jetty.plus.jndi

## Class Link

- java.lang.Object
- - org.eclipse.jetty.plus.jndi.NamingEntry
  - - org.eclipse.jetty.plus.jndi.Link

-     public class Link
      extends NamingEntry

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.plus.jndi.NamingEntry

      `__contextName, _jndiName, _namingEntryNameString, _objectNameString, _scope`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Link(java.lang.Object scope, java.lang.String jndiName, java.lang.String link)`
    `Link(java.lang.String jndiName, java.lang.String link)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindToENC(java.lang.String localName)` Add a java:comp/env binding for the object represented by this NamingEntry, but bind it as the name supplied
    `java.lang.String` | `getLink()`

    - ### Methods inherited from class org.eclipse.jetty.plus.jndi.NamingEntry

      `getJndiName, getJndiNameInScope, release, save, toString, unbindENC`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Link

          public Link(java.lang.Object scope,
              java.lang.String jndiName,
              java.lang.String link)
               throws javax.naming.NamingException

      Throws:
        `javax.naming.NamingException`

    - #### Link

          public Link(java.lang.String jndiName,
              java.lang.String link)
               throws javax.naming.NamingException

      Throws:
        `javax.naming.NamingException`

  - ### Method Detail

    - #### bindToENC

          public void bindToENC(java.lang.String localName)
                         throws javax.naming.NamingException

      Description copied from class: `NamingEntry`
      Add a java:comp/env binding for the object represented by this NamingEntry, but bind it as the name supplied
      Overrides:
        `bindToENC` in class `NamingEntry`
      Throws:
        `javax.naming.NamingException`

    - #### getLink

          public java.lang.String getLink()

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.